Get a fast test result

GET https://api.ap1.datadoghq.com/api/v2/synthetics/tests/fast/{id}https://api.ap2.datadoghq.com/api/v2/synthetics/tests/fast/{id}https://api.datadoghq.eu/api/v2/synthetics/tests/fast/{id}https://api.ddog-gov.com/api/v2/synthetics/tests/fast/{id}https://api.us2.ddog-gov.com/api/v2/synthetics/tests/fast/{id}https://api.datadoghq.com/api/v2/synthetics/tests/fast/{id}https://api.us3.datadoghq.com/api/v2/synthetics/tests/fast/{id}https://api.us5.datadoghq.com/api/v2/synthetics/tests/fast/{id}

Overview

This endpoint requires the synthetics_read permission.

OAuth apps require the synthetics_read authorization scope to access this endpoint.

Arguments

Path Parameters

Name

Type

Description

id [required]

string

The UUID of the fast test to retrieve the result for.

Response

OK

Fast test result response. Returns null if the result is not yet available (the test is still running or timed out before completing).

Expand All

Field

Type

Description

data

object

Fast test result data object (JSON:API format).

attributes

object

Attributes of the fast test result.

device

object

Device information for the test result (browser and mobile tests).

browser

object

Browser information for the device used to run the test.

type

string

Browser type (for example, chrome, firefox).

user_agent

string

User agent string reported by the browser.

version

string

Browser version.

id

string

Device identifier.

name

string

Device name.

platform

object

Platform information for the device used to run the test.

name

string

Platform name (for example, linux, macos).

version

string

Platform version.

resolution

object

Screen resolution of the device used to run the test.

height

int64

Viewport height in pixels.

pixel_ratio

double

Device pixel ratio.

width

int64

Viewport width in pixels.

type

string

Device type.

location

object

Location information for a Synthetic test result.

id

string

Identifier of the location.

name

string

Human-readable name of the location.

version

string

Version of the worker that ran the test.

worker_id

string

Identifier of the specific worker that ran the test.

result

object

Detailed result data for the fast test run. The exact shape of nested fields (request, response, assertions, etc.) depends on the test subtype.

assertions

[object]

Results of each assertion evaluated during the test.

actual

Actual value observed during the test. Its type depends on the assertion type.

error_message

string

Error message if the assertion failed.

expected

Expected value for the assertion. Its type depends on the assertion type.

operator

string

Operator used for the assertion (for example, is, contains).

property

string

Property targeted by the assertion, when applicable.

target

Target value for the assertion. Its type depends on the assertion type.

target_path

string

JSON path or XPath evaluated for the assertion.

target_path_operator

string

Operator used for the target path assertion.

type

string

Type of the assertion (for example, responseTime, statusCode, body).

valid

boolean

Whether the assertion passed.

call_type

string

gRPC call type (for example, unary, healthCheck, or reflection).

cert

object

SSL/TLS certificate information returned from an SSL test.

cipher

string

Cipher used for the TLS connection.

exponent

int64

RSA exponent of the certificate.

ext_key_usage

[string]

Extended key usage extensions for the certificate.

fingerprint

string

SHA-1 fingerprint of the certificate.

fingerprint256

string

SHA-256 fingerprint of the certificate.

issuer

object

Certificate issuer details.

<any-key>

string

modulus

string

RSA modulus of the certificate.

protocol

string

TLS protocol used (for example, TLSv1.2).

serial_number

string

Serial number of the certificate.

subject

object

Certificate subject details.

<any-key>

string

tls_version

double

TLS protocol version.

valid

object

Validity window of a certificate.

from

int64

Unix timestamp (ms) of when the certificate became valid.

to

int64

Unix timestamp (ms) of when the certificate expires.

duration

double

Total duration of the test in milliseconds.

failure

object

Details about the failure of a Synthetic test.

code

string

Error code for the failure.

internal_code

string

Internal error code used for debugging.

internal_message

string

Internal error message used for debugging.

message

string

Error message for the failure.

finished_at

int64

Unix timestamp (ms) of when the test finished.

id

string

The result ID. Set to the fast test UUID because no persistent result ID exists for fast tests.

is_fast_retry

boolean

Whether this result is from an automatic fast retry.

request

object

Details of the outgoing request made during the test execution.

allow_insecure

boolean

Whether insecure certificates are allowed for this request.

body

string

Body sent with the request.

call_type

string

gRPC call type (for example, unary, healthCheck, or reflection).

destination_service

string

Destination service for a Network Path test.

dns_server

string

DNS server used to resolve the target host.

dns_server_port

int64

Port of the DNS server used for resolution.

e2e_queries

int64

Number of end-to-end probe queries issued.

files

[object]

Files attached to the request.

bucket_key

string

Storage bucket key where the file is stored.

encoding

string

Encoding of the file contents.

name

string

File name.

size

int64

File size in bytes.

type

string

File MIME type.

headers

object

Headers sent with the request.

host

string

Host targeted by the request.

max_ttl

int64

Maximum TTL for network probe packets.

message

string

Message sent with the request (for WebSocket/TCP/UDP tests).

method

string

HTTP method used for the request.

no_saving_response_body

boolean

Whether the response body was not saved.

port

Port targeted by the request. Can be a number or a string variable reference.

service

string

Service name targeted by the request (for gRPC tests).

source_service

string

Source service for a Network Path test.

timeout

int64

Request timeout in milliseconds.

tool_name

string

Name of the MCP tool called (MCP tests only).

traceroute_queries

int64

Number of traceroute probe queries issued.

url

string

URL targeted by the request.

resolved_ip

string

IP address resolved for the target host.

response

object

Details of the response received during the test execution.

body

string

Body of the response.

body_compressed

string

Compressed representation of the response body.

body_hashes

string

Hashes computed over the response body.

body_size

int64

Size of the response body in bytes.

cache_headers

object

Cache-related response headers.

<any-key>

string

cdn

object

CDN provider details inferred from response headers.

cache

object

Cache status reported by the CDN for the response.

cached

boolean

Whether the response was served from the CDN cache.

status

string

Raw cache status string reported by the CDN.

provider

string

Name of the CDN provider.

close

object

WebSocket close frame information for WebSocket test responses.

reason

string

Reason string received in the close frame.

status_code

int64

Status code received in the close frame.

compressed_message

string

Compressed representation of the response message.

headers

object

Response headers.

healthcheck

object

Health check information returned from a gRPC health check call.

message

object

Raw health check message payload.

<any-key>

string

status

int64

Health check status code.

http_version

string

HTTP version of the response.

is_body_truncated

boolean

Whether the response body was truncated.

is_message_truncated

boolean

Whether the response message was truncated.

message

string

Message received in the response (for WebSocket/TCP/UDP tests).

metadata

object

Additional metadata returned with the response.

<any-key>

string

records

[object]

DNS records returned in the response (DNS tests only).

type

string

DNS record type (for example, A, AAAA, CNAME).

values

[string]

Values associated with the DNS record.

redirects

[object]

Redirect hops encountered while performing the request.

location

string

Target location of the redirect.

status_code

int64

HTTP status code of the redirect response.

status_code

int64

HTTP status code of the response.

run_type

enum

The type of run for a Synthetic test result. Allowed enum values: scheduled,fast,ci,triggered

started_at

int64

Unix timestamp (ms) of when the test started.

status

string

Status of the test result (passed or failed).

steps

[object]

Step results for multistep API tests.

allow_failure

boolean

Whether the test continues when this step fails.

api_test

object

Inner API test definition for browser runApiTest steps.

assertion_result

object

Assertion result for a browser or mobile step.

actual

Actual value observed during the step assertion. Its type depends on the check type.

check_type

string

Type of the step assertion check.

expected

Expected value for the step assertion. Its type depends on the check type.

has_secure_variables

boolean

Whether the assertion involves secure variables.

assertions

[object]

Assertion results produced by the step.

actual

Actual value observed during the test. Its type depends on the assertion type.

error_message

string

Error message if the assertion failed.

expected

Expected value for the assertion. Its type depends on the assertion type.

operator

string

Operator used for the assertion (for example, is, contains).

property

string

Property targeted by the assertion, when applicable.

target

Target value for the assertion. Its type depends on the assertion type.

target_path

string

JSON path or XPath evaluated for the assertion.

target_path_operator

string

Operator used for the target path assertion.

type

string

Type of the assertion (for example, responseTime, statusCode, body).

valid

boolean

Whether the assertion passed.

blocked_requests_urls

[string]

URLs of requests blocked during the step.

bounds

object

Bounding box of an element on the page.

height

int64

Height in pixels.

width

int64

Width in pixels.

x

int64

Horizontal position in pixels.

y

int64

Vertical position in pixels.

browser_errors

[object]

Browser errors captured during the step.

description

string

Error description.

method

string

HTTP method associated with the error (for network errors).

name

string

Error name.

status

int64

HTTP status code associated with the error (for network errors).

type

string

Type of the browser error.

url

object

URL associated with the error.

bucket_keys

object

Storage bucket keys for artifacts produced during a step or test.

after_step_screenshot

string

Key for the screenshot captured after the step (goal-based tests).

after_turn_screenshot

string

Key for the screenshot captured after the turn (goal-based tests).

artifacts

string

Key for miscellaneous artifacts.

before_step_screenshot

string

Key for the screenshot captured before the step (goal-based tests).

before_turn_screenshot

string

Key for the screenshot captured before the turn (goal-based tests).

crash_report

string

Key for a captured crash report.

device_logs

string

Key for captured device logs.

email_messages

[string]

Keys for email message payloads captured by the step.

screenshot

string

Key for the captured screenshot.

snapshot

string

Key for the captured DOM snapshot.

source

string

Key for the page source or element source.

cdn_resources

[object]

CDN resources encountered during the step.

cdn

object

CDN provider details inferred from response headers.

cache

object

Cache status reported by the CDN for the response.

cached

boolean

Whether the response was served from the CDN cache.

status

string

Raw cache status string reported by the CDN.

provider

string

Name of the CDN provider.

resolved_ip

string

Resolved IP address for the CDN resource.

timestamp

int64

Unix timestamp (ms) of when the resource was fetched.

timings

object

Timing breakdown for fetching the CDN resource.

click_type

string

Click type performed in a browser step.

compressed_json_descriptor

string

Compressed JSON descriptor for the step (internal format).

config

object

Request configuration executed by this step (API test steps).

description

string

Human-readable description of the step.

duration

double

Duration of the step in milliseconds.

element_description

string

Description of the element interacted with by the step.

element_updates

object

Element locator updates produced during a step.

multi_locator

object

Updated multi-locator definition.

<any-key>

string

target_outer_html

string

Updated outer HTML of the targeted element.

version

int64

Version of the element locator definition.

extracted_value

object

A variable used or extracted during a test.

err

string

Error encountered when evaluating the variable.

error_message

string

Human-readable error message for variable evaluation.

example

string

Example value for the variable.

id

string

Variable identifier.

name

string

Variable name.

pattern

string

Pattern used to extract the variable.

secure

boolean

Whether the variable holds a secure value.

type

string

Variable type.

val

string

Evaluated value of the variable.

value

string

Current value of the variable.

failure

object

Details about the failure of a Synthetic test.

code

string

Error code for the failure.

internal_code

string

Internal error code used for debugging.

internal_message

string

Internal error message used for debugging.

message

string

Error message for the failure.

http_results

[object]

HTTP results produced by an MCP step.

actual

Actual value observed during the test. Its type depends on the assertion type.

error_message

string

Error message if the assertion failed.

expected

Expected value for the assertion. Its type depends on the assertion type.

operator

string

Operator used for the assertion (for example, is, contains).

property

string

Property targeted by the assertion, when applicable.

target

Target value for the assertion. Its type depends on the assertion type.

target_path

string

JSON path or XPath evaluated for the assertion.

target_path_operator

string

Operator used for the target path assertion.

type

string

Type of the assertion (for example, responseTime, statusCode, body).

valid

boolean

Whether the assertion passed.

id

string

Identifier of the step.

is_critical

boolean

Whether this step is critical for the test outcome.

javascript_custom_assertion_code

boolean

Whether the step uses a custom JavaScript assertion.

locate_element_duration

double

Time taken to locate the element in milliseconds.

name

string

Name of the step.

request

object

Details of the outgoing request made during the test execution.

allow_insecure

boolean

Whether insecure certificates are allowed for this request.

body

string

Body sent with the request.

call_type

string

gRPC call type (for example, unary, healthCheck, or reflection).

destination_service

string

Destination service for a Network Path test.

dns_server

string

DNS server used to resolve the target host.

dns_server_port

int64

Port of the DNS server used for resolution.

e2e_queries

int64

Number of end-to-end probe queries issued.

files

[object]

Files attached to the request.

bucket_key

string

Storage bucket key where the file is stored.

encoding

string

Encoding of the file contents.

name

string

File name.

size

int64

File size in bytes.

type

string

File MIME type.

headers

object

Headers sent with the request.

host

string

Host targeted by the request.

max_ttl

int64

Maximum TTL for network probe packets.

message

string

Message sent with the request (for WebSocket/TCP/UDP tests).

method

string

HTTP method used for the request.

no_saving_response_body

boolean

Whether the response body was not saved.

port

Port targeted by the request. Can be a number or a string variable reference.

service

string

Service name targeted by the request (for gRPC tests).

source_service

string

Source service for a Network Path test.

timeout

int64

Request timeout in milliseconds.

tool_name

string

Name of the MCP tool called (MCP tests only).

traceroute_queries

int64

Number of traceroute probe queries issued.

url

string

URL targeted by the request.

response

object

Details of the response received during the test execution.

body

string

Body of the response.

body_compressed

string

Compressed representation of the response body.

body_hashes

string

Hashes computed over the response body.

body_size

int64

Size of the response body in bytes.

cache_headers

object

Cache-related response headers.

<any-key>

string

cdn

object

CDN provider details inferred from response headers.

cache

object

Cache status reported by the CDN for the response.

cached

boolean

Whether the response was served from the CDN cache.

status

string

Raw cache status string reported by the CDN.

provider

string

Name of the CDN provider.

close

object

WebSocket close frame information for WebSocket test responses.

reason

string

Reason string received in the close frame.

status_code

int64

Status code received in the close frame.

compressed_message

string

Compressed representation of the response message.

headers

object

Response headers.

healthcheck

object

Health check information returned from a gRPC health check call.

message

object

Raw health check message payload.

<any-key>

string

status

int64

Health check status code.

http_version

string

HTTP version of the response.

is_body_truncated

boolean

Whether the response body was truncated.

is_message_truncated

boolean

Whether the response message was truncated.

message

string

Message received in the response (for WebSocket/TCP/UDP tests).

metadata

object

Additional metadata returned with the response.

<any-key>

string

records

[object]

DNS records returned in the response (DNS tests only).

type

string

DNS record type (for example, A, AAAA, CNAME).

values

[string]

Values associated with the DNS record.

redirects

[object]

Redirect hops encountered while performing the request.

location

string

Target location of the redirect.

status_code

int64

HTTP status code of the redirect response.

status_code

int64

HTTP status code of the response.

retries

[object]

Retry results for the step.

retry_count

int64

Number of times this step was retried.

rum_context

object

RUM application context associated with a step or sub-test.

application_id

string

RUM application identifier.

session_id

string

RUM session identifier.

view_id

string

RUM view identifier.

started_at

int64

Unix timestamp (ms) of when the step started.

status

string

Status of the step (for example, passed, failed).

sub_step

object

Information about a sub-step in a nested test execution.

level

int64

Depth of the sub-step in the execution tree.

parent_step

object

Reference to the parent step of a sub-step.

id

string

Identifier of the parent step.

parent_test

object

Reference to the parent test of a sub-step.

id

string

Identifier of the parent test.

sub_test

object

Information about a sub-test played from a parent browser test.

id

string

Identifier of the sub-test.

playing_tab

int64

Index of the browser tab playing the sub-test.

rum_context

object

RUM application context associated with a step or sub-test.

application_id

string

RUM application identifier.

session_id

string

RUM session identifier.

view_id

string

RUM view identifier.

subtype

string

Subtype of the step.

tabs

[object]

Browser tabs involved in the step.

focused

boolean

Whether the tab was focused during the step.

title

string

Title of the tab.

url

string

URL loaded in the tab.

timings

object

Timing breakdown of the step execution.

tunnel

boolean

Whether the step was executed through a Synthetics tunnel.

type

string

Type of the step (for example, click, assertElementContent, runApiTest).

url

string

URL associated with the step (for navigation steps).

value

Step value. Its type depends on the step type.

variables

object

Variables captured during a test step.

config

[object]

Variables defined in the test configuration.

err

string

Error encountered when evaluating the variable.

error_message

string

Human-readable error message for variable evaluation.

example

string

Example value for the variable.

id

string

Variable identifier.

name

string

Variable name.

pattern

string

Pattern used to extract the variable.

secure

boolean

Whether the variable holds a secure value.

type

string

Variable type.

val

string

Evaluated value of the variable.

value

string

Current value of the variable.

extracted

[object]

Variables extracted during the test execution.

err

string

Error encountered when evaluating the variable.

error_message

string

Human-readable error message for variable evaluation.

example

string

Example value for the variable.

id

string

Variable identifier.

name

string

Variable name.

pattern

string

Pattern used to extract the variable.

secure

boolean

Whether the variable holds a secure value.

type

string

Variable type.

val

string

Evaluated value of the variable.

value

string

Current value of the variable.

vitals_metrics

[object]

Web vitals metrics captured during the step.

cls

double

Cumulative Layout Shift score.

fcp

double

First Contentful Paint in milliseconds.

inp

double

Interaction to Next Paint in milliseconds.

lcp

double

Largest Contentful Paint in milliseconds.

ttfb

double

Time To First Byte in milliseconds.

url

string

URL that produced the metrics.

warnings

[object]

Warnings emitted during the step.

element_bounds

[object]

Bounds of elements related to the warning.

height

int64

Height in pixels.

width

int64

Width in pixels.

x

int64

Horizontal position in pixels.

y

int64

Vertical position in pixels.

message

string

Warning message.

type

string

Type of the warning.

timings

object

Timing breakdown of the test request phases (for example, DNS, TCP, TLS, first byte).

traceroute

[object]

Traceroute hop results, present for ICMP and TCP tests.

host

string

Target hostname.

latency

object

Latency statistics for a network probe.

avg

double

Average latency in milliseconds.

max

double

Maximum latency in milliseconds.

min

double

Minimum latency in milliseconds.

packet_loss_percentage

double

Percentage of probe packets lost.

packet_size

int64

Size of each probe packet in bytes.

packets_received

int64

Number of probe packets received.

packets_sent

int64

Number of probe packets sent.

resolved_ip

string

Resolved IP address for the target.

routers

[object]

List of intermediate routers for the traceroute.

ip

string

IP address of the router.

resolved_host

string

Resolved hostname of the router.

triggered_at

int64

Unix timestamp (ms) of when the test was triggered.

tunnel

boolean

Whether the test was run through a Synthetics tunnel.

test_sub_type

enum

Subtype of the Synthetic test that produced this result. Allowed enum values: dns,grpc,http,icmp,mcp,multi,ssl,tcp,udp,websocket

test_type

enum

Type of the Synthetic fast test that produced this result. Allowed enum values: fast-api,fast-browser

test_version

int64

Version of the test at the time the fast test was triggered.

id

string

The UUID of the fast test, used as the result identifier.

type

enum

JSON:API type for a fast test result. Allowed enum values: result

default: result

{
  "data": {
    "attributes": {
      "device": {
        "browser": {
          "type": "edge",
          "user_agent": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/90.0.4430.212 Safari/537.36 Edg/127.0.2651.105 DatadogSynthetics",
          "version": "127.0.2651.105"
        },
        "id": "chrome.laptop_large",
        "name": "Chrome - Laptop Large",
        "platform": {
          "name": "ios",
          "version": "14.8"
        },
        "resolution": {
          "height": 1100,
          "pixel_ratio": 2,
          "width": 1440
        },
        "type": "browser"
      },
      "location": {
        "id": "aws:us-east-1",
        "name": "N. Virginia (AWS)",
        "version": "1.0.0",
        "worker_id": "worker-abc-123"
      },
      "result": {
        "assertions": [
          {
            "actual": 200,
            "error_message": "Assertion failed: expected 200 but got 500",
            "expected": "200",
            "operator": "is",
            "property": "content-type",
            "target": 200,
            "target_path": "$.url",
            "target_path_operator": "contains",
            "type": "statusCode",
            "valid": true
          }
        ],
        "call_type": "unary",
        "cert": {
          "cipher": "TLS_AES_256_GCM_SHA384",
          "exponent": 65537,
          "ext_key_usage": [
            "1.3.6.1.5.5.7.3.1"
          ],
          "fingerprint": "D6:03:5A:9F:93:E1:B7:28:EC:90:C5:9F:72:30:55:7C:74:5F:53:92",
          "fingerprint256": "04:45:93:A9:4C:14:70:47:DB:3C:FC:05:F9:5A:50:4E:DA:DB:A1:C6:37:3D:15:C0:B2:7E:5D:93:5F:A2:02:C7",
          "issuer": {
            "<any-key>": "string"
          },
          "modulus": "C0FCE9F9...",
          "protocol": "TLSv1.3",
          "serial_number": "7B584A1A6670A1EB0941A9A121569D60",
          "subject": {
            "<any-key>": "string"
          },
          "tls_version": 1.3,
          "valid": {
            "from": 1742469686000,
            "to": 1749727285000
          }
        },
        "duration": 150.5,
        "failure": {
          "code": "TIMEOUT",
          "internal_code": "INCORRECT_ASSERTION",
          "internal_message": "Assertion failed on step 2",
          "message": "Connection timed out"
        },
        "finished_at": 1679328001000,
        "id": "abc12345-1234-1234-1234-abc123456789",
        "is_fast_retry": false,
        "request": {
          "allow_insecure": false,
          "body": "{\"key\":\"value\"}",
          "call_type": "unary",
          "destination_service": "my-service",
          "dns_server": "8.8.8.8",
          "dns_server_port": 53,
          "e2e_queries": 4,
          "files": [
            {
              "bucket_key": "api-upload-file/s3v-msw-tp3/2024-08-20T12:18:27.628081_f433c953-a58a-4296-834b-0669e32ba55f.json",
              "encoding": "base64",
              "name": "dd_logo_h_rgb.jpg",
              "size": 30294,
              "type": "image/jpeg"
            }
          ],
          "headers": {
            "content-type": "application/json"
          },
          "host": "grpcbin.test.k6.io",
          "max_ttl": 64,
          "message": "My message",
          "method": "GET",
          "no_saving_response_body": true,
          "port": 9000,
          "service": "addsvc.Add",
          "source_service": "synthetics",
          "timeout": 60,
          "tool_name": "search",
          "traceroute_queries": 2,
          "url": "https://httpbin.org/anything/lol valuehugo"
        },
        "resolved_ip": "1.2.3.4",
        "response": {
          "body": "{\"status\":\"ok\"}",
          "body_compressed": "eJzLSM3JyQcABiwCFQ==",
          "body_hashes": "9e107d9d372bb6826bd81d3542a419d6",
          "body_size": 793,
          "cache_headers": {
            "<any-key>": "string"
          },
          "cdn": {
            "cache": {
              "cached": true,
              "status": "HIT"
            },
            "provider": "google_cloud"
          },
          "close": {
            "reason": "Normal closure",
            "status_code": 1000
          },
          "compressed_message": "eJzLSM3JyQcABiwCFQ==",
          "headers": {
            "content-type": "application/json"
          },
          "healthcheck": {
            "message": {
              "<any-key>": "string"
            },
            "status": 1
          },
          "http_version": "2.0",
          "is_body_truncated": false,
          "is_message_truncated": false,
          "message": "{\"f_string\":\"concat-STATIC_HIDDEN_VALUE\"}",
          "metadata": {
            "<any-key>": "string"
          },
          "records": [
            {
              "type": "A",
              "values": [
                "213.186.33.19"
              ]
            }
          ],
          "redirects": [
            {
              "location": "https://example.com/new-location",
              "status_code": 301
            }
          ],
          "status_code": 200
        },
        "run_type": "scheduled",
        "started_at": 1679328000000,
        "status": "passed",
        "steps": [
          {
            "allow_failure": false,
            "api_test": {},
            "assertion_result": {
              "actual": "True\ngood\ngood\ngood\ngood\nTrue",
              "check_type": "contains",
              "expected": "True good good good good True",
              "has_secure_variables": false
            },
            "assertions": [
              {
                "actual": 200,
                "error_message": "Assertion failed: expected 200 but got 500",
                "expected": "200",
                "operator": "is",
                "property": "content-type",
                "target": 200,
                "target_path": "$.url",
                "target_path_operator": "contains",
                "type": "statusCode",
                "valid": true
              }
            ],
            "blocked_requests_urls": [],
            "bounds": {
              "height": 37,
              "width": 343,
              "x": 16,
              "y": 140
            },
            "browser_errors": [
              {
                "description": "Failed to fetch resource",
                "method": "GET",
                "name": "NetworkError",
                "status": 500,
                "type": "network",
                "url": {}
              }
            ],
            "bucket_keys": {
              "after_step_screenshot": "screenshots/after-step-1-1.png",
              "after_turn_screenshot": "screenshots/after-turn-1.png",
              "artifacts": "2/e2e-tests/equ-jku-twc/results/6989498452827932222/edge.laptop_large/artifacts__1724521416257.json",
              "before_step_screenshot": "screenshots/before-step-1-1.png",
              "before_turn_screenshot": "screenshots/before-turn-1.png",
              "crash_report": "2/e2e-tests/d2z-32s-iax/results/1340718101990858549/synthetics:mobile:device:iphone_se_2020_ios_14/crash_report.log",
              "device_logs": "2/e2e-tests/d2z-32s-iax/results/1340718101990858549/synthetics:mobile:device:iphone_se_2020_ios_14/d2z-32s-iax_1340718101990858549_device_logs.log",
              "email_messages": [],
              "screenshot": "2/e2e-tests/equ-jku-twc/results/6989498452827932222/edge.laptop_large/step-0__1724521416269.jpeg",
              "snapshot": "2/e2e-tests/equ-jku-twc/results/6989498452827932222/edge.laptop_large/snapshot.html",
              "source": "2/e2e-tests/d2z-32s-iax/results/1340718101990858549/synthetics:mobile:device:iphone_se_2020_ios_14/step-0__1724445301832.xml"
            },
            "cdn_resources": [
              {
                "cdn": {
                  "cache": {
                    "cached": true,
                    "status": "HIT"
                  },
                  "provider": "google_cloud"
                },
                "resolved_ip": "34.95.79.70",
                "timestamp": 1724521406576,
                "timings": {
                  "firstByte": 99.7,
                  "tcp": 0.9
                }
              }
            ],
            "click_type": "primary",
            "compressed_json_descriptor": "compressedJsonDescriptorValue",
            "config": {},
            "description": "Navigate to start URL",
            "duration": 1015,
            "element_description": "<XCUIElementTypeStaticText value=\"Scroll\" name=\"Scroll\" label=\"Scroll\">",
            "element_updates": {
              "multi_locator": {
                "<any-key>": "string"
              },
              "target_outer_html": "<h1>My website - v4</h1>",
              "version": 3
            },
            "extracted_value": {
              "err": "LOCAL_VARIABLE_UNKNOWN",
              "error_message": "Unknown variable name undefined.",
              "example": "lol value",
              "id": "c896702c-1e34-4e62-a67b-432e8092d062",
              "name": "HEADER_VALUE",
              "pattern": "lol value",
              "secure": false,
              "type": "text",
              "val": "value-to-extract",
              "value": "lol value"
            },
            "failure": {
              "code": "TIMEOUT",
              "internal_code": "INCORRECT_ASSERTION",
              "internal_message": "Assertion failed on step 2",
              "message": "Connection timed out"
            },
            "http_results": [
              {
                "actual": 200,
                "error_message": "Assertion failed: expected 200 but got 500",
                "expected": "200",
                "operator": "is",
                "property": "content-type",
                "target": 200,
                "target_path": "$.url",
                "target_path_operator": "contains",
                "type": "statusCode",
                "valid": true
              }
            ],
            "id": "fkk-j2a-gmw",
            "is_critical": true,
            "javascript_custom_assertion_code": false,
            "locate_element_duration": 845,
            "name": "Extract variable from body",
            "request": {
              "allow_insecure": false,
              "body": "{\"key\":\"value\"}",
              "call_type": "unary",
              "destination_service": "my-service",
              "dns_server": "8.8.8.8",
              "dns_server_port": 53,
              "e2e_queries": 4,
              "files": [
                {
                  "bucket_key": "api-upload-file/s3v-msw-tp3/2024-08-20T12:18:27.628081_f433c953-a58a-4296-834b-0669e32ba55f.json",
                  "encoding": "base64",
                  "name": "dd_logo_h_rgb.jpg",
                  "size": 30294,
                  "type": "image/jpeg"
                }
              ],
              "headers": {
                "content-type": "application/json"
              },
              "host": "grpcbin.test.k6.io",
              "max_ttl": 64,
              "message": "My message",
              "method": "GET",
              "no_saving_response_body": true,
              "port": 9000,
              "service": "addsvc.Add",
              "source_service": "synthetics",
              "timeout": 60,
              "tool_name": "search",
              "traceroute_queries": 2,
              "url": "https://httpbin.org/anything/lol valuehugo"
            },
            "response": {
              "body": "{\"status\":\"ok\"}",
              "body_compressed": "eJzLSM3JyQcABiwCFQ==",
              "body_hashes": "9e107d9d372bb6826bd81d3542a419d6",
              "body_size": 793,
              "cache_headers": {
                "<any-key>": "string"
              },
              "cdn": {
                "cache": {
                  "cached": true,
                  "status": "HIT"
                },
                "provider": "google_cloud"
              },
              "close": {
                "reason": "Normal closure",
                "status_code": 1000
              },
              "compressed_message": "eJzLSM3JyQcABiwCFQ==",
              "headers": {
                "content-type": "application/json"
              },
              "healthcheck": {
                "message": {
                  "<any-key>": "string"
                },
                "status": 1
              },
              "http_version": "2.0",
              "is_body_truncated": false,
              "is_message_truncated": false,
              "message": "{\"f_string\":\"concat-STATIC_HIDDEN_VALUE\"}",
              "metadata": {
                "<any-key>": "string"
              },
              "records": [
                {
                  "type": "A",
                  "values": [
                    "213.186.33.19"
                  ]
                }
              ],
              "redirects": [
                {
                  "location": "https://example.com/new-location",
                  "status_code": 301
                }
              ],
              "status_code": 200
            },
            "retries": [],
            "retry_count": 0,
            "rum_context": {
              "application_id": "00000000-0000-0000-0000-000000000000",
              "session_id": "11111111-1111-1111-1111-111111111111",
              "view_id": "22222222-2222-2222-2222-222222222222"
            },
            "started_at": 1724445283308,
            "status": "passed",
            "sub_step": {
              "level": 1,
              "parent_step": {
                "id": "fkk-j2a-gmw"
              },
              "parent_test": {
                "id": "abc-def-123"
              }
            },
            "sub_test": {
              "id": "abc-def-123",
              "playing_tab": 0,
              "rum_context": {
                "application_id": "00000000-0000-0000-0000-000000000000",
                "session_id": "11111111-1111-1111-1111-111111111111",
                "view_id": "22222222-2222-2222-2222-222222222222"
              }
            },
            "subtype": "http",
            "tabs": [
              {
                "focused": true,
                "title": "Team Browser mini-websites",
                "url": "http://34.95.79.70/prototype"
              }
            ],
            "timings": {},
            "tunnel": false,
            "type": "click",
            "url": "http://34.95.79.70/prototype",
            "value": "http://34.95.79.70/prototype",
            "variables": {
              "config": [
                {
                  "err": "LOCAL_VARIABLE_UNKNOWN",
                  "error_message": "Unknown variable name undefined.",
                  "example": "lol value",
                  "id": "c896702c-1e34-4e62-a67b-432e8092d062",
                  "name": "HEADER_VALUE",
                  "pattern": "lol value",
                  "secure": false,
                  "type": "text",
                  "val": "value-to-extract",
                  "value": "lol value"
                }
              ],
              "extracted": [
                {
                  "err": "LOCAL_VARIABLE_UNKNOWN",
                  "error_message": "Unknown variable name undefined.",
                  "example": "lol value",
                  "id": "c896702c-1e34-4e62-a67b-432e8092d062",
                  "name": "HEADER_VALUE",
                  "pattern": "lol value",
                  "secure": false,
                  "type": "text",
                  "val": "value-to-extract",
                  "value": "lol value"
                }
              ]
            },
            "vitals_metrics": [
              {
                "cls": 0,
                "fcp": 120.3,
                "inp": 85,
                "lcp": 210.5,
                "ttfb": 95.2,
                "url": "http://34.95.79.70/prototype"
              }
            ],
            "warnings": [
              {
                "element_bounds": [
                  {
                    "height": 37,
                    "width": 343,
                    "x": 16,
                    "y": 140
                  }
                ],
                "message": "Element is not visible in the viewport",
                "type": "visibility"
              }
            ]
          }
        ],
        "timings": {
          "dns": 2.9,
          "download": 2.1,
          "firstByte": 95.2,
          "ssl": 187.9,
          "tcp": 92.6,
          "total": 380.7
        },
        "traceroute": [
          {
            "host": "34.95.79.70",
            "latency": {
              "avg": 1.8805,
              "max": 1.97,
              "min": 1.76
            },
            "packet_loss_percentage": 0,
            "packet_size": 56,
            "packets_received": 4,
            "packets_sent": 4,
            "resolved_ip": "34.95.79.70",
            "routers": [
              {
                "ip": "34.95.79.70",
                "resolved_host": "70.79.95.34.bc.googleusercontent.com"
              }
            ]
          }
        ],
        "triggered_at": 1679327999000,
        "tunnel": false
      },
      "test_sub_type": "http",
      "test_type": "fast-api",
      "test_version": 1
    },
    "id": "abc12345-1234-1234-1234-abc123456789",
    "type": "result"
  }
}

API error response.

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

API error response.

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Path parameters
export id="abc12345-1234-1234-1234-abc123456789"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/synthetics/tests/fast/${id}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
"""
Get a fast test result returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.synthetics_api import SyntheticsApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = SyntheticsApi(api_client)
    response = api_instance.get_synthetics_fast_test_result(
        id="abc12345-1234-1234-1234-abc123456789",
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
# Get a fast test result returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::SyntheticsAPI.new
p api_instance.get_synthetics_fast_test_result("abc12345-1234-1234-1234-abc123456789")

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
// Get a fast test result returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewSyntheticsApi(apiClient)
	resp, r, err := api.GetSyntheticsFastTestResult(ctx, "abc12345-1234-1234-1234-abc123456789")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `SyntheticsApi.GetSyntheticsFastTestResult`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `SyntheticsApi.GetSyntheticsFastTestResult`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
// Get a fast test result returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.SyntheticsApi;
import com.datadog.api.client.v2.model.SyntheticsFastTestResult;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    SyntheticsApi apiInstance = new SyntheticsApi(defaultClient);

    try {
      SyntheticsFastTestResult result =
          apiInstance.getSyntheticsFastTestResult("abc12345-1234-1234-1234-abc123456789");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling SyntheticsApi#getSyntheticsFastTestResult");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
// Get a fast test result returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_synthetics::SyntheticsAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = SyntheticsAPI::with_config(configuration);
    let resp = api
        .get_synthetics_fast_test_result("abc12345-1234-1234-1234-abc123456789".to_string())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * Get a fast test result returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.SyntheticsApi(configuration);

const params: v2.SyntheticsApiGetSyntheticsFastTestResultRequest = {
  id: "abc12345-1234-1234-1234-abc123456789",
};

apiInstance
  .getSyntheticsFastTestResult(params)
  .then((data: v2.SyntheticsFastTestResult) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"